Bug 64404 - increased latency causes drops in video capture
increased latency causes drops in video capture
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-03 13:36 EDT by Monty Walls
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-29 23:51:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Monty Walls 2002-05-03 13:36:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc1) Gecko/20020417

Description of problem:
I use avifile to divx capture tv to disk at 320x240@29.97fps.  Under
2.4.9-31 & 2.4.3 I can capture/compress without frame drops, but under
kernel-2.4.18-22 & 26 I get 2-3% frame drops which seem to be tied to
disk flushing activity.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.grab athlon with scsi disk subsystem (u2w striped)
2.install avifile0.7-20020426 
3.capture 5minutes at 320x240@29.97 fps divx4 (low-motion) 
4.review frame drops 
	

Actual Results:  Under 2.4.9 I get less that 1% (13 out of 4200 frames captured)
dropped
Under 2.4.18 I get about 2-3% drops in bursts clustered arround scsi-disk io. 
By contrast my 2.4.3 kernel system (K7-800 ide disk) drops 4 frames in a hour.

Additional info:

As near as I can tell, this tied to the new VM subsystem, based on
the frame drops not occuring under prior kernel releases
(I used 2.2.19 & 2.4.3 also with no frame drops).  So despite Morton's
low-latency patch in 2.4.18-22/26, there appears to be issues still
with the VM subsystem flushing buffers to disk. I can aggravate the
issue by adjusting the bdflush parameters, but can't prevent it.

Note You need to log in before you can comment on or make changes to this bug.